
// ********************************************
// ********************************************
// ***************  POS   *********************
// ********************************************
// ********************************************
// ********************************************

#define SUCCESS 	0

#define PORT_OPEN_ERROR				-99
#define NO_CONNECTED_PRINTER		-100
#define NO_AP3_PRINTER			    -101
#define FAIL_SEND_DATA				-102
#define DISCONNECTED_PRINTER		-103
#define PORT_SET_ERROR				-104
#define WRITE_ERROR					-105
#define READ_ERROR					-106
#define BT_SDPCONNECT_ERROR			-107
#define BT_SDPSEARCH_ERROR			-108
#define BT_SOCKET_ERROR				-109
#define BT_BIND_ERROR				-110
#define BT_CONNECT_ERROR			-111
#define INVALID_IPADDRESS			-112
#define FAIL_CREATE_SOCKET			-113
#define WRONG_BARCODE_TYPE			-115
#define WRONG_BC_DATA_ERROR			-116
#define BAD_ARGUMENT				-117
#define IMAGE_OPEN_ERROR			-118
#define BAD_FILE					-119
#define MEM_ALLOC_ERROR				-120
#define NV_NO_KEY					-121
#define WRONG_RESPONSE				-122
#define FAIL_CREATE_THREAD			-123
#define NOT_SUPPORT					-124
#define FAIL_FIND_SENTINEL			-125
#define SCR_RESPONSE_ERROR			-126
#define READ_TIMEOUT				-127


#define ALIGNMENT_LEFT		0
#define ALIGNMENT_CENTER	1
#define ALIGNMENT_RIGHT		2

#define ATTR_FONTTYPE_A		0
#define ATTR_FONTTYPE_B		1
#define ATTR_FONTTYPE_C		2
#define ATTR_BOLD			4
#define ATTR_UNDERLINE_1	8
#define ATTR_UNDERLINE_2	16
#define ATTR_REVERSE		32

#define TS_HEIGHT_0			0x00
#define TS_HEIGHT_1			0x01
#define TS_HEIGHT_2			0x02
#define TS_HEIGHT_3			0x03
#define TS_HEIGHT_4			0x04
#define TS_HEIGHT_5			0x05
#define TS_HEIGHT_6			0x06
#define TS_HEIGHT_7			0x07

#define TS_WIDTH_0			0x00
#define TS_WIDTH_1			0x10
#define TS_WIDTH_2			0x20
#define TS_WIDTH_3			0x30
#define TS_WIDTH_4			0x40
#define TS_WIDTH_5			0x50
#define TS_WIDTH_6			0x60
#define TS_WIDTH_7			0x70


// Barcode Type
#define BARCODE_UPCA		0
#define BARCODE_UPCE		1
#define BARCODE_EAN8		2
#define BARCODE_EAN13		3
#define BARCODE_JAN8		4
#define BARCODE_JAN13		5
#define BARCODE_ITF			6
#define BARCODE_CODABAR		7
#define BARCODE_CODE39		8
#define BARCODE_CODE93		9
#define BARCODE_CODE128		10	

#define BARCODE_PDF417		11
#define BARCODE_QRCODE		12
#define BARCODE_DATAMATRIX	13

// QRCODE MODE
#define BARCODE_QR_MODEL1				1
#define BARCODE_QR_MODEL2				2

// barcode text position
#define BARCODE_TEXT_NONE		0
#define BARCODE_TEXT_ABOVE		1
#define BARCODE_TEXT_BELOW		2

#define LEN_2INCH_DOT		384
#define LEN_3INCH_DOT		576
#define LEN_4INCH_DOT		832

// status
#define STS_NORMAL		0
#define STS_PAPEREMPTY	1
#define STS_COVEROPEN	2

// Page mode
#define PAGEMODE_ROTATE_0	48
#define PAGEMODE_ROTATE_90	51
#define PAGEMODE_ROTATE_180 50
#define PAGEMODE_ROTATE_270	49

// International Character set
#define ICS_USA			0
#define ICS_FRANCE		1
#define ICS_GERMANY		2
#define ICS_UK			3
#define ICS_DENMARK1	4
#define ICS_SWEDEN		5	
#define ICS_ITALY		6
#define ICS_SPAIN		7
#define ICS_NORWAY		9
#define ICS_DENMARK2	10	
#define ICS_SPAIN2		11
#define ICS_LATIN		12
#define ICS_KOREA		13

// character set
#define CS_PC437		0
#define CS_KATAKANA		1
#define CS_PC850		2
#define CS_PC860		3
#define CS_PC863		4
#define CS_PC865		5
#define CS_WPC1252		16
#define CS_PC866		17
#define CS_PC852		18
#define CS_PC858		19
#define CS_PC864		22
#define CS_PC874		23
#define CS_WPC1253		24
#define CS_WPC1254		25
#define CS_WPC1257		26
#define CS_FARSI		27
#define CS_WPC1251		28
#define CS_PC737		29
#define CS_PC775		30
#define CS_THAI14		31
#define CS_PC862		33
#define CS_PC855		36
#define CS_PC857		37
#define CS_PC928		38
#define CS_THAI16		39
#define CS_WPC1256		40
#define CS_PC1258		41
#define CS_KHMER		42
#define CS_PC1250		47
#define CS_USER			255

// Code Page
#define ENCODING_ASCII		0
#define ENCODING_EUCKR		1	// Korean
#define ENCODING_CP949		2	// Korean
#define ENCODING_EUCCN		3	// Chinese
#define ENCODING_GB18030	4	// Chinese
#define ENCODING_BIG5		5	// Chinese
#define ENCODING_CP950		6	// Chinese
#define ENCODING_EUCJP		7	// Japanese
#define ENCODING_CP932		8 	// Japanese
#define ENCODING_CP874		9 	// Thai

