
#include <stdbool.h>

// #### OpenClose.c
int ConnectToPrinter(const char *port);
int DisconnectPrinter();
int InitializePrinter();

// #### basicFunc.c
int PrintText(const char *text, const int alignment,
			  const unsigned int attribute, const unsigned int textSize);
int SetTextEncoding(unsigned int textEncoding);

int PrintTextW(const char *text, const int alignment,
			  const unsigned int attribute, const unsigned int textSize, const unsigned int codePage);

int LineFeed(const unsigned int lineNum);

int DirectIO(char *writeData, int writeLen, char *readData, int *readLen, unsigned int mTimeout);
int SetLeftMargin(long margin);
int SetUpsideDown(bool upsideDown);
int SetInternationalChar(long val);
int GetInternationalChar();
int SetCharSet(long val);
int GetCharSet();

int PartialCut();
int OpenCashDrawer(unsigned int milliSec);

// #### barcode.c
typedef struct _barcodeInfo
{
	unsigned int mode;
	unsigned int height;
	unsigned int width;
	unsigned char eccLevel;
	unsigned int alignment;
	unsigned int textPosition;
	unsigned int attribute;
} barcodeInfo_s;

int PrintBarcode(const int barcodeType, const char *barcodeData, const barcodeInfo_s *barcodeInfo);

// #### image.c
int PrintImage(const char *imagePath, const int width, const bool compress, const unsigned int alignment);
int DownloadNVImage(const char *imagePath, const unsigned int keyCode);
int PrintNVImage(const unsigned int keyCode);
int RemoveAllNVImage();
int RemoveNVImage(const unsigned int keyCode);
int GetNVImageKeyCode(char *keyCodeList, unsigned int *listLen);

// #### pageMode.c
int SelectPageMode(bool pageMode);
int SetPrintAreaInPM(long x, long y, long width, long height);
int SetPrintDirectionInPM(int printDirection);
int SetVerticalPositionInPM(long position, bool relative);
int SetHorizontalPositionInPM(long position, bool relative);
int PrintDataInPM();

// #### status.c
int SetAutoStatusCheck(bool enable);
int GetStatus();
